#include <bits/stdc++.h>

#define ll long long
#define ld long double
#define endl "\n"

using namespace std;

void solve()
{
    int x1,y1; cin >> x1 >> y1;
    int x2,y2; cin >> x2 >> y2;

    if(abs(x1-x2)==abs(y1-y2))
        cout << "1" << endl;
    else if(x1==x2 || y1==y2)
        cout << "2" << endl;
    else
        cout << "0" << endl;
}

int main()
{
    ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);

    int t=1; //cin >> t;
    while(t--)
        solve();

    return 0;
}